Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038810
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] J. Demo datatrivialhave not tried2018-06-21 22:402018-09-17 06:47
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision3aea23cfa1a2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038810: Sample data (F&B International Group Client) for 3.0PR18Q3

DescriptionFollowing the "How to evolve F&B" document instructions create the transactions of Apr., May. and Jun. 2018 in both organizations (US and Spain) for F&B International Group Client.
Steps To Reproduce1) In a clean instance with no modules, execute:
ant install.source
2) Execute ant update.database and execute ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo. Commit the changes.
3) Create new transactions
4) Verify the inserted data
5) ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105350)
AtulOpenbravo (developer)
2018-06-22 21:06

Test plan:
-Go to purchase order, filtered by the quarter records, check there are 6 purchase order F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 purchase orders to F&B US West Coast.
-Go to good receipt, filtered by the quarter records, check there are 6 good receipt F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 good receipt to F&B US West Coast.
-Go to purchase invoice, filter by the quarter, check there are 6 purchase invoice F&B US East Coast and 3 purchase invoice to F&B US West Coast.
-Go to purchase invoice, filter by the quarter records, check there are 12 service purchase invoice F&B US, Inc and 12 service purchase invoice to F&B España, S.A.
-Go to payment out and check the suppliers payments
-Go to payment out and check there are a salaries g/l item to F&B España, S.A. and F&B US, Inc ← Only if you have entered a payment, otherwise look at the Financial Account transaction for the G/L Item “Sueldos y Salarios” or “Salaries”.
-Go to g/l journal and check the lines
-Go to sales order filter by the quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to goods shipment filter by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to sales invoice filtered by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to sales invoice, filtered <0 in days till next due. Notice that the applied filter resulted 0 records.
-Go to financial account check that there is 1 imported bank statements per quarter and check the reconciliation, to F&B España, S.A. in Cuenta de Banco and F&B US, Inc in Bank Account 1
(0105494)
hgbot (developer)
2018-06-28 13:40

Repository: erp/devel/pi
Changeset: 1bdf31a5d33f1237c95f91a319c626983c5bea51
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jun 22 02:58:39 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/1bdf31a5d33f1237c95f91a319c626983c5bea51 [^]

Related to Issue 0038810:Sample data (F&B International Group Client)
for 3.0PR18Q3

Committed changes prior to creating transactions for sample data
for 3.0PR18Q3

---
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
---
(0105495)
hgbot (developer)
2018-06-28 13:40

Repository: erp/devel/pi
Changeset: 3aea23cfa1a2542cb845029daa4133efe4c9ed4a
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Sat Jun 23 00:45:48 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/3aea23cfa1a2542cb845029daa4133efe4c9ed4a [^]

Fixes Issue 38810:Sample data (F&B International Group Client)
for 3.0PR18Q3

Sample data (F&B International Group Client) for 3.0PR18Q3 for the
month of April, May and June 2018. Following the "How to evolve F&B"
document instructions transactions created for 3.0PR18Q3 release.

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_REQUEST.xml
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_USER.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_CONVERSION_RATE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINE.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERTAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER_DISCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENTLINE.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINACC_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINANCIAL_ACCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROPOSAL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROP_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULE.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULEDETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_RECONCILIATION.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNAL.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALBATCH.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALLINE.xml
M referencedata/sampledata/F_B_International_Group/M_ATTRIBUTESETINSTANCE.xml
M referencedata/sampledata/F_B_International_Group/M_COSTING.xml
M referencedata/sampledata/F_B_International_Group/M_INOUT.xml
M referencedata/sampledata/F_B_International_Group/M_INOUTLINE.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHINV.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHPO.xml
M referencedata/sampledata/F_B_International_Group/M_MOVEMENT.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_PENDING.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION_COST.xml
---
(0105496)
aferraz (developer)
2018-06-28 14:24

Reviewed
(0105515)
hudsonbot (developer)
2018-06-29 21:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0338e029f9f8 [^]
Maturity status: Test
(0105516)
hudsonbot (developer)
2018-06-29 21:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0338e029f9f8 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-21 22:40 AtulOpenbravo New Issue
2018-06-21 22:40 AtulOpenbravo Assigned To => AtulOpenbravo
2018-06-21 22:40 AtulOpenbravo Modules => Core
2018-06-21 22:40 AtulOpenbravo Triggers an Emergency Pack => No
2018-06-21 22:40 AtulOpenbravo Issue generated from 0038172
2018-06-21 22:43 AtulOpenbravo Status new => scheduled
2018-06-22 21:06 AtulOpenbravo Note Added: 0105350
2018-06-28 13:40 hgbot Checkin
2018-06-28 13:40 hgbot Note Added: 0105494
2018-06-28 13:40 hgbot Checkin
2018-06-28 13:40 hgbot Note Added: 0105495
2018-06-28 13:40 hgbot Status scheduled => resolved
2018-06-28 13:40 hgbot Resolution open => fixed
2018-06-28 13:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3aea23cfa1a2542cb845029daa4133efe4c9ed4a [^]
2018-06-28 14:24 aferraz Review Assigned To => aferraz
2018-06-28 14:24 aferraz Note Added: 0105496
2018-06-28 14:24 aferraz Status resolved => closed
2018-06-28 14:24 aferraz Fixed in Version => 3.0PR18Q3
2018-06-29 21:06 hudsonbot Checkin
2018-06-29 21:06 hudsonbot Note Added: 0105515
2018-06-29 21:06 hudsonbot Checkin
2018-06-29 21:06 hudsonbot Note Added: 0105516
2018-09-17 06:47 AtulOpenbravo Issue cloned 0039296


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker